{% extends 'partials/base.html.twig' %}

{% block content %}
    
	<div class="frontpage_block">
		<div class="frontpage_header">
			<div class="frontpage_icon">
				{% include('/partials/page_header_logo.html.twig') %}
			</div>
			<div class="frontpage_menu">
				{% include('/partials/page_header_menu.html.twig') %}
			</div>
		</div>
		<div class="frontpage_top_block">
			<div style="background-image: url('{{ url('user/data/images/'~page.header.custom.backgroundimage) }}')">	
				<div>
					<div class="about_info text_normal">
						<h1>{{page.header.custom.header|t}}</h1>
						<div>{{page.header.custom.text|t}}</div>
					</div>
					<a class="about_button" href={{'JOBTECH.URL.MENU_ABOUT'|t}}>{{'JOBTECH.CONTENT.GETTING_STARTED'|t}}</a>
				</div>
			</div>
		</div>
		<div class="frontpage_top_component">
			{% set p = pages.find(page.header.custom.topcomponent) %}
			{% include('/partials/component_short.html.twig') with {'page': p, 'isUri': true, 'url': page.header.custom.topcomponent} %}
			<img src="{{ url('user/data/images/'~page.header.custom.topcomponentimage) }}"/>
		</div>
		
		{% for pair in page.header.custom.components %}
			{% set p1 = pages.find(pair.left) %}
			{% set p2 = pages.find(pair.right) %}
			<div class="frontpage_component_pair">
				{% if p1.template == 'component_page' %}
					{% include('/partials/component_short.html.twig') with {'page': p1, 'isUri': true, 'url': pair.left} %}
				{% else %}
					<div class="notused"></div>
				{% endif %}
				{% if p2.template == 'component_page' %}
					{% include('/partials/component_short.html.twig') with {'page': p2, 'isUri': true, 'url': pair.right} %}
				{% else %}
					<div class="notused"></div>
				{% endif %}
			</div>
		{% endfor %}
		
		<div class="frontpage_news_events">
			<div class="frontpage_news">
				<h3 class="title">{{'JOBTECH.CONTENT.NEWS'|t}}</h3>
				<div class="blog_item_list">
					{% for news in page.header.custom.news %}
						{% set p = pages.find(news.page) %}
						{% include('/partials/news_short.html.twig') with {'page': p} %}
					{% endfor %}
				</div>
				<div class="black_button">
					<a href={{'JOBTECH.URL.FOOTER_NEWS'|t}}>
						{{'JOBTECH.CONTENT.ALL_NEWS'|t}}
					</a>
				</div>
			</div>
			<div class="frontpage_events">
				<h3 class="title">{{'JOBTECH.CONTENT.CALENDAR'|t}}</h3>
				<div class="blog_item_list">
					{% for event in page.header.custom.events %}
						{% set p = pages.find(event.page) %}
						{% include('/partials/events_short.html.twig') with {'page': p} %}
					{% endfor %}
				</div>
				<div class="black_button">
					<a href={{'JOBTECH.URL.FOOTER_CALENDAR'|t}}>
						{{'JOBTECH.CONTENT.ALL_EVENTS'|t}}
					</a>
				</div>
			</div>
		</div>
	</div>
	
{% endblock %}
